Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 80333 - console window hangs each time it is launched
Summary: console window hangs each time it is launched
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnome-terminal
Version: 8.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Havoc Pennington
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-24 16:54 UTC by Todd Booher
Modified: 2012-04-27 16:39 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-13 03:05:22 UTC


Attachments (Terms of Use)

Description Todd Booher 2002-12-24 16:54:03 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
Each time I launch the gnome terminal it hangs with no prompt
visible.  During this time the whole box is very sluggish.  Eventually I can 
kill the app and everything is fine.  This is on
a clean install of phoebe as a personal desktop.

Version-Release number of selected component (if applicable):


How reproducible:
Didn't try

Steps to Reproduce:
1.Log in to box as root
2.Click on gnome terminal icon to launch
3.Window opens but no prompt visible
    

Actual Results:  app hangs

Expected Results:  app works

Additional info:

Comment 1 Todd Booher 2002-12-24 17:28:06 UTC
This instance of Phoebe is running under vmware 3.2, build 2230.

Comment 2 Havoc Pennington 2002-12-24 18:29:00 UTC
As far as I know it works on things that are not vmware.

You might try "strace -t -o /tmp/output -f gnome-terminal"
or something along those lines and then "tail -f /tmp/output" while it's stuck,
and see which lines repeat, or if it's even making progress.

Comment 3 Todd Booher 2002-12-24 19:26:12 UTC
strace does not appear to be loaded on my system.  Is that a separate
rpm I need to install?  If so, is it on one of the cd's or in rawhide?

Thanks

Comment 4 Havoc Pennington 2002-12-24 19:40:17 UTC
Oh, you have 8.0, I thought you were trying the beta.

First thing to check if it's 8.0 is whether it works in the Phoebe beta. 
It's probably different/better. Installing the beta is sort of an undertaking
though so don't feel like you have to check yourself.

Anyhow, yes strace is on the CD in its own rpm.

Comment 5 Todd Booher 2002-12-24 19:43:16 UTC
I am running the beta but it appears the strace is not loaded.  I'll 
search the cd's for the rpm.

Thanks

Comment 6 Todd Booher 2002-12-29 07:26:32 UTC
Here's the error message launching it from xterm:

Xlib: extension "RENDER" missing on display ":0.0".


Thanks to warren for helping me track this down.

Comment 7 Warren Togami 2002-12-29 07:29:00 UTC
Xlib: extension "RENDER" missing on display ":0.0".

The sluggish system behavior is consistent with what some applications do when
RENDER isn't available.  I've seen wine, earlier KDE builds, and flash5 cause
this problem with 100% CPU usage when it didn't properly handle the lack of
RENDER.  All of these apps were later fixed to fall back gracefully.


Comment 8 Felipe Alfaro Solana 2002-12-29 12:24:49 UTC
Please, see https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=80414 for a
very very close report to this :-)

Comment 9 Havoc Pennington 2003-01-13 03:05:22 UTC
Upstream as http://bugzilla.gnome.org/show_bug.cgi?id=103303



Note You need to log in before you can comment on or make changes to this bug.